#!/usr/bin/perl
########################################################################
# File:           rootfiles/ssh_trustaccount.pl                        #
# myLinux Server: Copyright (c) 2004 Michael Oberg                     #
# Version:        0.98                                                 #
# Author:         Michael Oberg <michael.oberg@mylinuxproject.de>      #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License as published by #
# the Free Software Foundation; either version 2 of the License, or    #
# (at your option) any later version.                                  #
#                                                                      #
# This program is distributed in the hope that it will be useful,      #
# but WITHOUT ANY WARRANTY; without even the implied warranty of       #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         #
# GNU General Public License for more details.                         #
#                                                                      #
# You should have received a copy of the GNU Public License along      #
# with this package; if not, write to the Free Software Foundation,    #
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.       #
########################################################################

use mylinux::usermanager;

print "This program creates a trust account for SSH login.\n";
print "Use it with care. The file $HOME/.ssh/id_rsa makes it\n";
print "possible to log in this account on the remote machine\n";
print "without using a password.\n";
print "The file MUST NOT be compromised by anyone!\n\n";

print "Remote machine name or IP address: ";
$MACHINENAME = <STDIN>;
chomp $MACHINENAME;
if (!$MACHINENAME) {
  die ("You have to specify the machine name!\n");
}

print "Login Name on the local machine: ";
$LOCALUSER = <STDIN>;
chomp $LOCALUSER;
if (!$LOCALUSER) {
  die ("You have to specify the local users account name!\n");
}

print "Login Name on the remote machine: ";
$LOGINNAME = <STDIN>;
chomp $LOGINNAME;
if (!$LOGINNAME) {
  die ("You have to specify the remote users account name!\n");
}

&usermanager::ssh_trustaccount ($LOGINNAME, $MACHINENAME, $LOCALUSER);
